classification
Title: PyTypeObject tp_name is char* instead of const char*
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, h.venev, loewis, nanjekyejoannah, serhiy.storchaka
Priority: normal Keywords:

Created on 2014-03-22 10:17 by h.venev, last changed 2019-09-15 07:07 by serhiy.storchaka. This issue is now closed.

Messages (4)
msg214455 - (view) Author: Hristo Venev (h.venev) * Date: 2014-03-22 10:17
It would be better if string literals could be used there.
msg214467 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-22 11:48
I propose any resolution to issue21019 be applied here as well.
msg352461 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2019-09-15 04:56
This is nolonger an issue. All references to tp_name are as below.


const char *tp_name;
msg352463 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-09-15 07:07
It should not be an issue in 2014 as it was fixed in 2005. See af68c874a6803b4e90b616077a602c0593719a1d.
History
Date User Action Args
2019-09-15 07:07:35serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg352463

resolution: out of date
stage: resolved
2019-09-15 04:56:42nanjekyejoannahsetnosy: + nanjekyejoannah
messages: + msg352461
2014-03-24 01:04:37Arfreversetnosy: + Arfrever
2014-03-22 11:48:10loewissetnosy: + loewis
messages: + msg214467
2014-03-22 10:17:30h.venevcreate